SeExpr

Public Member Functions | Private Attributes | List of all members
SeExprInternal2::_Mutex Class Reference

`#include <Platform.h>`

## Public Member Functions
| _Mutex ()
| ~_Mutex ()
void | lock ()
void | unlock ()

## Private Attributes
pthread_mutex_t | _mutex

## Detailed Description

Definition at line 195 of file Platform.h.

## Constructor & Destructor Documentation

## ◆ _Mutex()

SeExprInternal2::_Mutex::_Mutex | ( |  | ) |
| inline

Definition at line 197 of file Platform.h.

References _mutex.

## ◆ ~_Mutex()

SeExprInternal2::_Mutex::~_Mutex | ( |  | ) |
| inline

Definition at line 198 of file Platform.h.

References _mutex.

## Member Function Documentation

## ◆ lock()

void SeExprInternal2::_Mutex::lock | ( |  | ) |
| inline

Definition at line 199 of file Platform.h.

References _mutex.

## ◆ unlock()

void SeExprInternal2::_Mutex::unlock | ( |  | ) |
| inline

Definition at line 200 of file Platform.h.

References _mutex.

## Member Data Documentation

## ◆ _mutex

pthread_mutex_t SeExprInternal2::_Mutex::_mutex
| private

Definition at line 203 of file Platform.h.

Referenced by _Mutex(), lock(), unlock(), and ~_Mutex().

The documentation for this class was generated from the following file:

- /build/seexpr/src/SeExpr/src/SeExpr2/Platform.h